<?php 
class AppResultadoListado extends AppResultado{
	protected  $_sumatorios;
	protected $_total;

	
	
	public function getSumatorios(){
		return $this->_sumatorios;
	}
	public function setSumatorios($sumatorios){
		$this->_sumatorios = $sumatorios;
	}
	
	public function getTotal(){
		return $this->_total;
	}
	public function setTotal($total){
		$this->_total = $total;
	}
	
	public function getDatos(){
		return parent::getDatos();
	}
	
	public function getDatosParaListado($datos){
		$datos = parent::getDatos();
		$salida = array();
		foreach($datos as $fila){
			$nueva_fila = array();
			foreach ($fila as $key => $value){
				$nueva_fila['$'. $key.'#'] = $value;
			}
			$salida[] = $nueva_fila;
		}
		return $salida;
		
	}
	
	public static function convertirFilaParaListado($datos){
		$nueva_fila = array();
		foreach ($datos as $key => $value){
			$nueva_fila['$'. $key.'#'] = $value;
		}
		return $nueva_fila;
	}
	
	
	
	//version anterior
	
	
	/*
	
	
	public function tratarDatos(){
	
		$clase = $this->clase_listado;
	
	
		$objeto = new $clase;
		$filas_tratadas = array();
	
		if($objeto instanceof AppListado){
			$columnas = $objeto->getColumnas();
			foreach ($this->datos  as $posicion => $fila){
				$datos_tratados = $this->preparaDatosFila($fila);
				$datos_fila = array();
				foreach ($columnas as $columna){
					$filas_tratadas[$posicion][$columna['name']] = $this->reemplaza_datosCampo($columna, $datos_tratados);
				}
			}
				
				
		}
	
		return $filas_tratadas;
	}
	
	public function sumatoriosTratados(){
		$sumatorios = $this->_sumatorios;
		$clase = $this->clase_listado;
	
	
		$objeto = new $clase;
	
	
		if($objeto instanceof AppListado){
			$columnas = $objeto->getColumnas();
			foreach ($columnas  as $actual){
				if(isset($actual['sumatorio']) && $actual['sumatorio']){
					$sumatorios[$actual['name']] = round($sumatorios[$actual['name']], $actual['decimales']);
				}
			}
	
	
		}
		return $sumatorios;
	}
	
	public function render(){
		$datos = $this->tratarDatos();
		$sumatorios = $this->sumatoriosTratados();
		$resultado = array(
				'datos'=> $datos,
				'sumatorios'=> $sumatorios,
				'total'=>  $this->_total
	
		);
	
		return $resultado;
	
	}
	*/
	
}